# $Id: xorg.conf 1703 2009-03-24 15:57:03Z sarah $
#
# Description:
# Konfiguration des X servers
#
# initial Author: Sarah, last $Author: sarah $
# last change $Date: 2009-03-24 16:57:03 +0100 (Tue, 24 Mar 2009) $
# $Revision: 1703 $
# $HeadURL: https://nevada/svn/freebsd/branches/vwe/rcng/Common/etc/xorg.conf $

Section "Files"
	ModulePath	"/usr/local/lib/xorg/modules"
	ModulePath	"/usr/local/lib"
	FontPath	"/usr/local/lib/xorg/modules/fonts"
	FontPath	"/usr/local/lib/xorg/fonts"
	FontPath	"/usr/local/lib/xorg/fonts/misc"
	FontPath	"/usr/local/lib/xorg/fonts/TTF"
EndSection

Section "Module"
    SubSection  "extmod"
	Option		"omit xfree86-dga"
    EndSubSection
    Load	"glx"
    Load	"Xrandr"
EndSection

Section "Extensions"
    Option	"RenderAccel"	"1"
EndSection

Section "ServerFlags"
    Option	"blank time"	"0"
    Option	"standby time"	"0"
    Option	"suspend time"	"0"
    Option	"off time"	"0"
    Option	"AllowMouseOpenFail" "true"
    Option	"DontVTSwitch"	"true"
    Option	"DontZap"	"true"
    Option	"DontZoom"	"true"
    Option	"XkbDisable"	"true"
    Option	"NoPM"		"true"
    Option	"Xinerama"	"false"
EndSection

# **********************************************************************
# Input device section
# **********************************************************************

Section "InputDevice"
    Identifier	"Keyboard1"
    Driver	"void"
EndSection

Section "InputDevice"
	Identifier	"Touchscreen1_Regular"
	Driver		"utouch"
	Option		"SendDragEvents"	"True"
	Option		"DebugLevel"		"5"
	Option		"CalibrateOpen"		"2"
	Option		"Threshold"			"20"
	Option		"FilterNear"		"4"
	Option		"FilterFar"			"0"
	Option		"FilterFirstPress"	"0"
	Option		"FilterRelease"		"True"
	Option		"Invert Y"			"1"
	Option		"Device"			"/dev/utouch0"
	Option		"ConfigFile"		"/var/static/utouch.conf"
	Option		"Min X"				"400"
	Option		"Max X"				"1500"
	Option		"Min Y"				"900"
	Option		"Max Y"				"1700"
	Option		"LiveMonitor"		"/var/run/touchmon"
EndSection

Section "InputDevice"
	Identifier	"Touchscreen1_Left"
	Driver		"utouch"
	Option		"SendDragEvents"	"True"
	Option		"DebugLevel"		"0"
	Option		"CalibrateOpen"		"2"
	Option		"Threshold"			"20"
	Option		"FilterNear"		"4"
	Option		"FilterFar"			"0"
	Option		"FilterFirstPress"	"0"
	Option		"FilterRelease"		"True"
	Option		"Invert Y"			"1"
	Option		"Rotate"			"left"
	Option		"Device"			"/dev/utouch0"
	Option		"ConfigFile"		"/var/static/utouch.conf"
	Option		"Min X"				"400"
	Option		"Max X"				"1500"
	Option		"Min Y"				"900"
	Option		"Max Y"				"1700"
	Option		"LiveMonitor"		"/var/run/touchmon"
EndSection

Section "InputDevice"
	Identifier	"Touchscreen1_Right"
	Driver		"utouch"
	Option		"SendDragEvents"	"True"
	Option		"DebugLevel"		"0"
	Option		"CalibrateOpen"		"2"
	Option		"Threshold"			"20"
	Option		"FilterNear"		"4"
	Option		"FilterFar"			"0"
	Option		"FilterFirstPress"	"0"
	Option		"FilterRelease"		"True"
	Option		"Invert Y"			"1"
	Option		"Rotate"			"right"
	Option		"Device"			"/dev/utouch0"
	Option		"ConfigFile"		"/var/static/utouch.conf"
	Option		"Min X"				"400"
	Option		"Max X"				"1500"
	Option		"Min Y"				"900"
	Option		"Max Y"				"1700"
	Option		"LiveMonitor"		"/var/run/touchmon"
EndSection

Section "InputDevice"
	Identifier	"AtouchSerial"
	Driver		"utouch"
	Option		"Interface"			"atouch"
	Option		"SendDragEvents"	"True"
	Option		"DebugLevel"		"0"
	Option		"CalibrateOpen"		"2"
	Option		"Threshold"			"20"
	Option		"FilterNear"		"4"
	Option		"FilterFar"			"0"
	Option		"FilterFirstPress"	"0"
	Option		"FilterRelease"		"True"
	Option		"Invert Y"			"1"
	Option		"Device"			"/dev/cuad1"
	Option		"BaudRate"			"9600"
	Option		"Parity"			"None"
	Option		"DataBits"			"8"
	Option		"StopBits"			"1"
	Option		"Vmin"				"4"
	Option		"Vtime"				"25"
	#Option		"FlowControl"		""
	#Option		"ClearDTR"			""
	#Option		"ClearRTS"			""
	Option		"ConfigFile"		"/var/static/utouch.conf"
	Option		"Min X"				"400"
	Option		"Max X"				"1500"
	Option		"Min Y"				"900"
	Option		"Max Y"				"1700"
	Option		"LiveMonitor"		"/var/run/touchmon"
EndSection


# **********************************************************************
# Monitor section
# **********************************************************************

Section "Monitor"
    Identifier  "tft"
    UseModes "Modes[0]"
    HorizSync   28 - 72
#    VertRefresh 50 - 70
EndSection

Section "Modes"
    Identifier "Modes[0]"
    Modeline "1024x1280" 108.0 1280 1328 1440 1688 1024 1025 1028 1066 +hsync +vsync
    Modeline "1280x1024" 108.0 1280 1328 1440 1688 1024 1025 1028 1066 +hsync +vsync
    Modeline "1360x768_60.00"  84.50 1360 1392 1712 1744 768 783 791 807 +hsync +vsync
EndSection

# **********************************************************************
# Graphics device section
# **********************************************************************

Section "Device"
    Identifier  "nvidia"
    Driver      "nvidia"
    Option	"useEdidFreqs"		"FALSE"
    #Option	"Coolbits"		"1"
    Option	"NoBandwidthTest"	"TRUE"
    Option	"TripleBuffer"		"TRUE"
    Option	"NoLogo"		"TRUE"
    Option	"RenderAccel"		"TRUE"
    Option	"HwCursor"		"TRUE"
    Option	"RandRRotation"		"TRUE"
EndSection

Section "Device"
    Identifier  "nvidia_roteted"
    Driver      "nvidia"
    Option	"useEdidFreqs"		"FALSE"
    #Option	"Coolbits"		"1"
    Option	"NoBandwidthTest"	"TRUE"
    Option	"TripleBuffer"		"TRUE"
    Option	"NoLogo"		"TRUE"
    Option	"RenderAccel"		"TRUE"
    Option	"HwCursor"		"TRUE"
    Option	"RandRRotation"		"TRUE"
    Option	"Rotate"		"left"
EndSection

Section "Device"
    Identifier  "nvidia_roteted_right"
    Driver      "nvidia"
    Option	"useEdidFreqs"		"FALSE"
    #Option	"Coolbits"		"1"
    Option	"NoBandwidthTest"	"TRUE"
    Option	"TripleBuffer"		"TRUE"
    Option	"NoLogo"		"TRUE"
    Option	"RenderAccel"		"TRUE"
    Option	"HwCursor"		"TRUE"
    Option	"RandRRotation"		"TRUE"
    Option	"Rotate"		"right"
EndSection


# **********************************************************************
# Screen sections
# **********************************************************************

Section "Screen"
    Identifier  "Screen_1024"
    Device      "nvidia"
    Monitor     "tft"
    DefaultDepth 16

    Subsection "Display"
        Depth       16
        Modes       "1024x768"
        ViewPort    0 0
    EndSubsection
EndSection

Section "Screen"
    Identifier  "Screen_1280"
    Device      "nvidia"
    Monitor     "tft"
    DefaultDepth 16

    Subsection "Display"
        Depth       16
        Modes       "1280x1024"
        ViewPort    0 0
    EndSubsection
EndSection

Section "Screen"
    Identifier  "Screen_1360"
    Device      "nvidia"
    Monitor     "tft"
    DefaultDepth 24

    Subsection "Display"
        Depth       24
        Modes       "1360x768_60.00"
        ViewPort    0 0
    EndSubsection
EndSection

Section "Screen"
    Identifier  "Screen_1360r"
    Device      "nvidia_roteted"
    Monitor     "tft"
    DefaultDepth 24

    Subsection "Display"
        Depth       24
        Modes       "1360x768_60.00"
        ViewPort    0 0
    EndSubsection
EndSection

Section "Screen"
    Identifier  "Screen_1360r_right"
    Device      "nvidia_roteted_right"
    Monitor     "tft"
    DefaultDepth 24

    Subsection "Display"
        Depth       24
        Modes       "1360x768_60.00"
        ViewPort    0 0
    EndSubsection
EndSection


# **********************************************************************
# ServerLayout sections.
# **********************************************************************

Section "ServerLayout"
    Identifier  "Layout_Default"
    Screen "Screen_1280"
    InputDevice "Keyboard1" "CoreKeyboard"
EndSection

Section "ServerLayout"
    Identifier  "Layout_1024"
    Screen "Screen_1024"
    InputDevice "Keyboard1" "CoreKeyboard"
EndSection

Section "ServerLayout"
    Identifier  "Layout_1360"
    Screen "Screen_1360"
    InputDevice "Keyboard1" "CoreKeyboard"
EndSection

Section "ServerLayout"
    Identifier  "Layout_1360r"
    Screen "Screen_1360r"
    InputDevice "Keyboard1" "CoreKeyboard"
EndSection

Section "ServerLayout"
    Identifier  "Layout_1360Touch"
    Screen "Screen_1360"
    InputDevice "Keyboard1" "CoreKeyboard"
    InputDevice	"Touchscreen1_Regular" "SendCoreEvents"
EndSection

Section "ServerLayout"
    Identifier  "Layout_1360rTouch"
    Screen "Screen_1360r"
    InputDevice "Keyboard1" "CoreKeyboard"
    InputDevice	"Touchscreen1_Left"	"SendCoreEvents"
EndSection

Section "ServerLayout"
    Identifier  "Layout_1360rTouch_right"
    Screen "Screen_1360r_right"
    InputDevice "Keyboard1" "CoreKeyboard"
    InputDevice	"Touchscreen1_Right"	"SendCoreEvents"
EndSection


